| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
my_main_controller Struct Reference

## Public Attributes
struct jpeg_c_main_controller | pub
JDIMENSION | cur_iMCU_row
JDIMENSION | rowgroup_ctr
boolean | suspended
J_BUF_MODE | pass_mode
JSAMPARRAY | buffer [MAX_COMPONENTS]
struct jpeg_d_main_controller | pub
boolean | buffer_full
JSAMPIMAGE | xbuffer [2]
int | whichptr
int | context_state
JDIMENSION | rowgroups_avail
JDIMENSION | iMCU_row_ctr

## Detailed Description

Definition at line 28 of file jcmainct.c.

## Member Data Documentation

JSAMPARRAY my_main_controller::buffer

Definition at line 40 of file jcmainct.c.

boolean my_main_controller::buffer_full

Definition at line 120 of file jdmainct.c.

int my_main_controller::context_state

Definition at line 129 of file jdmainct.c.

JDIMENSION my_main_controller::cur_iMCU_row

Definition at line 31 of file jcmainct.c.

JDIMENSION my_main_controller::iMCU_row_ctr

Definition at line 131 of file jdmainct.c.

J_BUF_MODE my_main_controller::pass_mode

Definition at line 34 of file jcmainct.c.

struct jpeg_c_main_controller my_main_controller::pub

Definition at line 29 of file jcmainct.c.

struct jpeg_d_main_controller my_main_controller::pub

Definition at line 115 of file jdmainct.c.

JDIMENSION my_main_controller::rowgroup_ctr

Definition at line 32 of file jcmainct.c.

JDIMENSION my_main_controller::rowgroups_avail

Definition at line 130 of file jdmainct.c.

boolean my_main_controller::suspended

Definition at line 33 of file jcmainct.c.

int my_main_controller::whichptr

Definition at line 128 of file jdmainct.c.

JSAMPIMAGE my_main_controller::xbuffer[2]

Definition at line 126 of file jdmainct.c.

The documentation for this struct was generated from the following files:

- /usr/local/bsoft/jpeg/jcmainct.c
- /usr/local/bsoft/jpeg/jdmainct.c